#
# MAKEFILE for CINEMU.EXE
#
# For use with
#   Borland C++ 3.1 or later
#   Borland TASM 4.1 or later
#
.autodepend

BCC=C:\BC31\BIN\BCC
TASM=C:\TASM\BIN\TASM
TLINK=C:\BC31\BIN\TLINK
LIB=C:\BC31\LIB

MODL = c
NAME = cinemu
OBJS = $(NAME).obj \
 cines.obj \
 cineio.obj \
 cinevg.obj \
 cinesb.obj \
 v64B4.obj \
 video.obj \
 inifile.obj \
 options.obj \
# log.obj

#
# Flags for linker
#
# /x = No map
# /m = Map with publics
# /v = Include debug symbols in link

$(NAME).exe : $(OBJS)
	$(TLINK) /c /m /L$(LIB) @&&!
c0$(MODL) $(OBJS),$(NAME),,c$(MODL)
!

# Flags for C++ compiler
#
# -N = Check for stack overflow
# -v = Debugger on
# -d = Merge strings
# -1 = 80186 instructions

.cpp.obj:
	$(BCC) -N -1 -d -m$(MODL) -I$(<D) $(CFLGS) -c -n$(<D) $<

# Flags for C compiler
#
# -N = Check for stack overflow
# -v = Debugger on
# -d = Merge strings
# -1 = 80186 instructions

.c.obj:
	$(BCC) -N -1 -d -m$(MODL) -I$(<D) $(CFLGS) -c -n$(<D) $<

# Flags for TASM
#
# /zi = Debugger on

.asm.obj:
	$(TASM) /m3 /ml /d_msize=$(MODL) /i$(<D) $<,$(<R)
