struct IOLOG_S
{	unsigned int	addr;		// address of instruction
	unsigned int	ioF;		// i/o flag; 0=inputs 1=switches 2=outputs
	unsigned int	op;		// opcode / page; Upper Byte = page, Lower = opcode
};

extern struct IOLOG_S		*IOLog;
extern unsigned int			MaxIO;

void logIO( unsigned int ioF, unsigned int opc_page, unsigned int addr)
{
	int	ii;

	// check to see if this address is already logged

	for (ii = 0; ii < MaxIO; ii++)
		if (IOLog[ii].addr == addr)
			return;

	// Log new address, opcode, and I/O type flag

	MaxIO = ii + 1;
	IOLog[ii].addr = addr;
	IOLog[ii].ioF = ioF;
	IOLog[ii].op = opc_page;
}
